Bug 728802 - [abrt] geeqie-1.0-10.fc15: exif_free_fd: assertion failed: (fd->exif == exif)
Summary: [abrt] geeqie-1.0-10.fc15: exif_free_fd: assertion failed: (fd->exif == exif)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geeqie
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1bf2244c70719fe93a108b5d756...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-07 17:18 UTC by Need Real Name
Modified: 2011-08-17 01:07 UTC (History)
1 user (show)

Fixed In Version: geeqie-1.0-11.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 01:07:11 UTC


Attachments (Terms of Use)
File: maps (28.15 KB, text/plain)
2011-08-07 17:18 UTC, Need Real Name
no flags Details

Description Need Real Name 2011-08-07 17:18:46 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        geeqie
comment:        view image
component:      geeqie
crash_function: __GI_raise
executable:     /usr/bin/geeqie
kernel:         2.6.40-4.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        geeqie-1.0-10.fc15
reason:         Process /usr/bin/geeqie was killed by signal 6 (SIGABRT)
time:           Sun Aug  7 13:37:22 2011
uid:            500
var_log_messages: Aug  7 13:37:22 chromatic abrt[25537]: saved core dump of pid 25462 (/usr/bin/geeqie) to /var/spool/abrt/ccpp-2011-08-07-13:37:22-25462.new/coredump (89821184 bytes)

maps:           Text file, 28828 bytes

backtrace:
:[New LWP 25462]
:[New LWP 25536]
:warning: .dynamic section for "/usr/lib64/libfreetype.so.6" is not at the expected address (wrong library or version mismatch?)
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/5a/5d297f73560588bcb1e4ba7f34f0b86c5f58dd
:[Thread debugging using libthread_db enabled]
:Core was generated by `geeqie'.
:Program terminated with signal 6, Aborted.
:#0  0x0000003c226352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
:
:Thread 2 (Thread 0x7fd0fdb2e700 (LWP 25536)):
:#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:219
:No locals.
:#1  0x0000003c24e02405 in g_cond_timed_wait_posix_impl (cond=<optimized out>, entered_mutex=<optimized out>, abs_time=<optimized out>) at gthread-posix.c:242
:        result = <optimized out>
:        end_time = {tv_sec = 1312720642, tv_nsec = 563390000}
:        timed_out = <optimized out>
:        __PRETTY_FUNCTION__ = "g_cond_timed_wait_posix_impl"
:#2  0x0000003c246188bf in g_async_queue_pop_intern_unlocked (queue=0x22d01f0, try=0, end_time=0x7fd0fdb2dc10) at gasyncqueue.c:415
:        retval = <optimized out>
:        __PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
:#3  0x0000003c2466aa89 in g_thread_pool_wait_for_new_task (pool=0x2347120) at gthreadpool.c:274
:        end_time = {tv_sec = 1312720642, tv_usec = 563390}
:        task = <optimized out>
:#4  g_thread_pool_thread_proxy (data=<optimized out>) at gthreadpool.c:308
:        task = <optimized out>
:        pool = 0x2347120
:#5  0x0000003c246683a6 in g_thread_create_proxy (data=0x2365230) at gthread.c:1955
:        thread = 0x2365230
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003c22a07af1 in start_thread (arg=0x7fd0fdb2e700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7fd0fdb2e700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -8208852414298747600, 140737383764848, 140535586286016, 36982128, 3, 8193656707151138096, -8184156010538103504}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x0000003c226dfb7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7fd10651a960 (LWP 25462)):
:#0  0x0000003c226352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = <optimized out>
:#1  0x0000003c22636beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x2561260, sa_sigaction = 0x2561260}, sa_mask = {__val = {258308696290, 39294880, 258308715553, 0, 32, 39294880, 39294880, 39305728, 39305728, 37208064, 39305728, 98, 1, 0, 258308609859, 39294880}}, sa_flags = 610689178, sa_restorer = 0x4b}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x0000003c246665bd in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x4d65f0 "exif_free_fd", message=0x2561260 "assertion failed: (fd->exif == exif)") at gtestutils.c:1358
:        lstr = "641\000\377\177\000\000@\020\304\371\377\177\000\000\060\316!%<\000\000\000\355bM\000\000\000\000"
:        s = 0x237c000 ""
:#3  0x0000003c24666ae2 in g_assertion_message_expr (domain=0x0, file=0x4d62fe "exif-common.c", line=641, func=0x4d65f0 "exif_free_fd", expr=<optimized out>) at gtestutils.c:1369
:        s = <optimized out>
:#4  0x0000000000449a2a in exif_free_fd (fd=<optimized out>, exif=<optimized out>) at exif-common.c:641
:        __PRETTY_FUNCTION__ = "exif_free_fd"
:#5  0x000000000045b552 in image_loader_setup_source (il=0x25485c0) at image-load.c:635
:        exif = 0x0
:        st = {st_dev = 36797280, st_ino = 36990528, st_nlink = 0, st_mode = 4555184, st_uid = 0, st_gid = 32, __pad0 = 0, st_rdev = 258308564155, st_size = 34679104, st_blksize = 0, st_blocks = 36990528, st_atim = {tv_sec = 1952, tv_nsec = 10639}, st_mtim = {tv_sec = 34679104, tv_nsec = 39093280}, st_ctim = {tv_sec = 39139872, tv_nsec = 1}, __unused = {4571153, 0, 5007711345664611328}}
:        pathl = <optimized out>
:#6  0x000000000045c097 in image_loader_setup_source (il=0x25485c0) at image-load.c:617
:No locals.
:#7  image_loader_start_thread (il=0x25485c0) at image-load.c:886
:No locals.
:#8  image_loader_start (il=0x25485c0) at image-load.c:916
:No locals.
:#9  0x00000000004583d3 in image_read_ahead_start (imd=0x2112940) at image.c:521
:No locals.
:#10 image_read_ahead_start (imd=0x2112940) at image.c:504
:No locals.
:#11 0x0000003c2520e34e in g_closure_invoke (closure=0x2555500, return_value=0x0, n_param_values=1, param_values=0x2553a20, invocation_hint=0x7ffff9c412e0) at gclosure.c:767
:        marshal = <optimized out>
:        marshal_data = <optimized out>
:        in_marshal = <optimized out>
:        __PRETTY_FUNCTION__ = "g_closure_invoke"
:#12 0x0000003c2521f200 in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=0x2548420, emission_return=0x0, instance_and_params=0x2553a20) at gsignal.c:3252
:        tmp = <optimized out>
:        handler = 0x255ecd0
:        accumulator = 0x0
:        emission = {next = 0x0, instance = 0x2548420, ihint = {signal_id = 277, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
:        class_closure = 0x2343520
:        hlist = 0x3c22a0a930
:        handler_list = 0x255ecd0
:        return_accu = 0x0
:        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        signal_id = 277
:        max_sequential_handler_number = 2031
:        return_value_altered = 0
:#13 0x0000003c252289d2 in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=<optimized out>) at gsignal.c:2983
:        instance_and_params = 0x2553a20
:        signal_return_type = 4
:        param_values = 0x2553a38
:        node = <optimized out>
:        i = <optimized out>
:        n_params = 0
:        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
:#14 0x0000003c25228b72 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3040
:        var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7ffff9c415c0, reg_save_area = 0x7ffff9c41500}}
:#15 0x000000000045b1b3 in image_loader_emit_done_cb (data=<optimized out>) at image-load.c:250
:        il = <optimized out>
:#16 0x0000003c246427ed in g_main_dispatch (context=0x1ff3180) at gmain.c:2441
:        dispatch = 0x3c2463e750 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x2548420
:        callback = 0x45b1a0 <image_loader_emit_done_cb>
:        cb_funcs = 0x3c24915c50
:        cb_data = 0x7fd0f8002300
:        current_source_link = {data = 0x7fd0f8002360, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x7fd0f8002360
:        current = 0x203fd70
:        i = <optimized out>
:#17 g_main_context_dispatch (context=0x1ff3180) at gmain.c:3014
:No locals.
:#18 0x0000003c24642fc8 in g_main_context_iterate (context=0x1ff3180, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 200
:        timeout = 0
:        some_ready = 1
:        nfds = 4
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#19 0x0000003c2464360d in g_main_loop_run (loop=0x21d2470) at gmain.c:3300
:        self = 0x1fb9430
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#20 0x00000035aff4c007 in IA__gtk_main () at gtkmain.c:1256
:        tmp_list = <optimized out>
:        functions = 0x0
:        init = <optimized out>
:        loop = 0x21d2470
:#21 0x00000000004178cc in main (argc=1, argv=0x7ffff9c41978) at main.c:918
:        first_collection = <optimized out>
:        buf = 0x2041da0 "\260\025(\002"
:        cd = 0x0
:From                To                  Syms Read   Shared Object Library
:0x00000035afe697f0  0x00000035b010ea9c  Yes         /usr/lib64/libgtk-x11-2.0.so.0.2400.4
:0x00000035b061e760  0x00000035b0681b5c  Yes         /usr/lib64/libgdk-x11-2.0.so.0.2400.4
:0x0000003c2c2097b0  0x0000003c2c2156bc  Yes         /usr/lib64/libatk-1.0.so.0.9.1
:0x0000003c26a294a0  0x0000003c26ad2b3c  Yes         /lib64/libgio-2.0.so.0.2800.8
:0x0000003c2aa076f0  0x0000003c2aa2131c  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.4
:0x00000035af604940  0x00000035af60935c  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.4
:0x0000003d9b406290  0x0000003d9b419c9c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:0x0000003d9a404890  0x0000003d9a41eb8c  Yes         /usr/lib64/libpng12.so.0.46.0
:0x00000035af20b170  0x00000035af282a9c  Yes         /usr/lib64/libcairo.so.2.11000.2
:0x0000003c2a60ee20  0x0000003c2a62cb1c  Yes         /usr/lib64/libpango-1.0.so.0.2800.4
:0x0000003c27608d30  0x0000003c2766fcdc  Yes (*)     /usr/lib64/libfreetype.so.6
:0x0000003c27a05d90  0x0000003c27a1f7fc  Yes         /usr/lib64/libfontconfig.so.1.4.4
:0x0000003c25209970  0x0000003c25239dcc  Yes         /lib64/libgobject-2.0.so.0.2800.8
:0x0000003c26600fe0  0x0000003c26601f8c  Yes         /lib64/libgmodule-2.0.so.0.2800.8
:0x0000003c24e01560  0x0000003c24e02a2c  Yes         /lib64/libgthread-2.0.so.0.2800.8
:0x0000003c23202160  0x0000003c232053ec  Yes         /lib64/librt-2.14.so
:0x0000003c24616cd0  0x0000003c246adbec  Yes         /lib64/libglib-2.0.so.0.2800.8
:0x0000003c34e074d0  0x0000003c34e2b1cc  Yes         /usr/lib64/liblcms.so.1.0.19
:0x00000035b0a5e550  0x00000035b0b6989c  Yes         /usr/lib64/libexiv2.so.10.0.1
:0x00000035b3601380  0x00000035b36046dc  Yes         /usr/lib64/liblirc_client.so.0.2.1
:0x00000035ada5a400  0x00000035adac308a  Yes         /usr/lib64/libstdc++.so.6.0.16
:0x0000003c23603ea0  0x0000003c23643e9c  Yes         /lib64/libm-2.14.so
:0x00000035ac6028a0  0x00000035ac6120cc  Yes         /lib64/libgcc_s-4.6.0-20110603.so.1
:0x0000003c22a05640  0x0000003c22a1038c  Yes         /lib64/libpthread-2.14.so
:0x0000003c2261ece0  0x0000003c2274304c  Yes         /lib64/libc-2.14.so
:0x00000035aca1dce0  0x00000035acaa97ec  Yes         /usr/lib64/libX11.so.6.3.0
:0x00000035ade013e0  0x00000035ade0450c  Yes         /usr/lib64/libXfixes.so.3.1.0
:0x00000035ace03460  0x00000035ace0e31c  Yes         /usr/lib64/libXext.so.6.4.0
:0x00000035ad601910  0x00000035ad60810c  Yes         /usr/lib64/libXrender.so.1.3.0
:0x00000035ae200a00  0x00000035ae20148c  Yes         /usr/lib64/libXinerama.so.1.0.0
:0x00000035ad201f00  0x00000035ad20c57c  Yes         /usr/lib64/libXi.so.6.1.0
:0x00000035ae601720  0x00000035ae60675c  Yes         /usr/lib64/libXrandr.so.2.2.0
:0x00000035aea028d0  0x00000035aea0749c  Yes         /usr/lib64/libXcursor.so.1.0.2
:0x00000035afa00b30  0x00000035afa0189c  Yes         /usr/lib64/libXcomposite.so.1.0.0
:0x00000035aee00a90  0x00000035aee0160c  Yes         /usr/lib64/libXdamage.so.1.1.0
:0x0000003c22e00de0  0x0000003c22e0191c  Yes         /lib64/libdl-2.14.so
:0x0000003c24a03840  0x0000003c24a1354c  Yes         /lib64/libresolv-2.14.so
:0x0000003c23e01e70  0x0000003c23e0e67c  Yes         /lib64/libz.so.1.2.5
:0x0000003c24205980  0x0000003c242159dc  Yes         /lib64/libselinux.so.1
:0x0000003c2b607e10  0x0000003c2b65c0ac  Yes         /usr/lib64/libpixman-1.so.0.20.2
:0x0000003c26e03b70  0x0000003c26e1d84c  Yes         /lib64/libexpat.so.1.5.2
:0x0000003c22200b20  0x0000003c22218caa  Yes         /lib64/ld-2.14.so
:0x0000003c25e08660  0x0000003c25e13b9c  Yes         /usr/lib64/libxcb.so.1.1.0
:0x0000003c25600dd0  0x0000003c25601b2c  Yes         /usr/lib64/libXau.so.6.0.0
:0x00007fd0ffeec170  0x00007fd0ffef38ac  Yes         /lib64/libnss_files-2.14.so
:0x00007fd0ffcc4a90  0x00007fd0ffce505c  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
:0x00007fd0ffabf690  0x00007fd0ffabfe8c  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
:0x0000003b7900a400  0x0000003b7901c51c  Yes         /usr/lib64/libdbus-glib-1.so.2.1.0
:0x0000003b78c076f0  0x0000003b78c3051c  Yes         /lib64/libdbus-1.so.3.5.4
:0x00007fd0ff8bafc0  0x00007fd0ff8bcf3c  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
:0x00000038edc01c70  0x00000038edc0308c  Yes         /usr/lib64/libcanberra-gtk.so.0.1.8
:0x0000003c3ae032a0  0x0000003c3ae0c41c  Yes         /usr/lib64/libcanberra.so.0.2.5
:0x0000003c39e01fa0  0x0000003c39e0611c  Yes         /usr/lib64/libvorbisfile.so.3.3.4
:0x0000003c37203700  0x0000003c3721a6ac  Yes         /usr/lib64/libvorbis.so.0.4.5
:0x0000003c36e018d0  0x0000003c36e03f7c  Yes         /usr/lib64/libogg.so.0.7.1
:0x0000003c3aa02350  0x0000003c3aa0b7dc  Yes         /usr/lib64/libtdb.so.1.2.9
:0x0000003c37a02360  0x0000003c37a0669c  Yes         /usr/lib64/libltdl.so.7.3.0
:0x0000003c2ea00c10  0x0000003c2ea05afc  Yes         /lib64/libcrypt-2.14.so
:0x0000003c2ee03170  0x0000003c2ee417bc  Yes         /lib64/libfreebl3.so
:0x00007fd0fdbbcab0  0x00007fd0fdbd56ac  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
:0x0000003b79c09210  0x0000003b79c132ec  Yes         /usr/lib64/libgvfscommon.so.0.0.0
:0x00000035b3a02e40  0x00000035b3a0accc  Yes         /lib64/libudev.so.0.11.1
:0x0000003c32a00e10  0x0000003c32a0168c  Yes         /lib64/libutil-2.14.so
:0x00007fd0fcfe4480  0x00007fd0fcfe4ebc  Yes         /usr/lib64/gconv/ISO8859-1.so
:(*): Shared library is missing debugging information.
:$1 = 0x0
:$2 = 0x25611c0 "ERROR:exif-common.c:641:exif_free_fd: assertion failed: (fd->exif == exif)"
:rax            0x0	0
:rbx            0x237c000	37208064
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x6376	25462
:rdi            0x6376	25462
:rbp            0x3c24916400	0x3c24916400
:rsp            0x7ffff9c40ec8	0x7ffff9c40ec8
:r8             0x20	32
:r9             0x3c2272f280	258275996288
:r10            0x8	8
:r11            0x202	514
:r12            0x4d65f0	5072368
:r13            0x2561260	39195232
:r14            0x7ffff9c412e0	140737383764704
:r15            0x0	0
:rip            0x3c226352d5	0x3c226352d5 <__GI_raise+53>
:eflags         0x202	[ IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x0000003c226352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x0000003c226352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x0000003c226352b0 <+16>:	test   %esi,%esi
:   0x0000003c226352b2 <+18>:	jne    0x3c226352e0 <__GI_raise+64>
:   0x0000003c226352b4 <+20>:	mov    $0xba,%eax
:   0x0000003c226352b9 <+25>:	syscall 
:   0x0000003c226352bb <+27>:	mov    %eax,%esi
:   0x0000003c226352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x0000003c226352c5 <+37>:	movslq %edi,%rdx
:   0x0000003c226352c8 <+40>:	movslq %esi,%rsi
:   0x0000003c226352cb <+43>:	movslq %eax,%rdi
:   0x0000003c226352ce <+46>:	mov    $0xea,%eax
:   0x0000003c226352d3 <+51>:	syscall 
:=> 0x0000003c226352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x0000003c226352db <+59>:	ja     0x3c226352ef <__GI_raise+79>
:   0x0000003c226352dd <+61>:	repz retq 
:   0x0000003c226352df <+63>:	nop
:   0x0000003c226352e0 <+64>:	test   %eax,%eax
:   0x0000003c226352e2 <+66>:	jg     0x3c226352c5 <__GI_raise+37>
:   0x0000003c226352e4 <+68>:	test   $0x7fffffff,%eax
:   0x0000003c226352e9 <+73>:	je     0x3c22635300 <__GI_raise+96>
:   0x0000003c226352eb <+75>:	neg    %eax
:   0x0000003c226352ed <+77>:	jmp    0x3c226352c5 <__GI_raise+37>
:   0x0000003c226352ef <+79>:	mov    0x35ccb2(%rip),%rdx        # 0x3c22991fa8
:   0x0000003c226352f6 <+86>:	neg    %eax
:   0x0000003c226352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x0000003c226352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x0000003c226352ff <+95>:	retq   
:   0x0000003c22635300 <+96>:	mov    %esi,%eax
:   0x0000003c22635302 <+98>:	jmp    0x3c226352c5 <__GI_raise+37>
:End of assembler dump.

dso_list:
:/usr/bin/geeqie geeqie-1.0-10.fc15.x86_64 (Fedora Project) 1304357812
:/lib64/libcrypt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309368734
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1304340672
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308780829
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1305151338
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1304340821
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1304340529
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307810779
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311190032
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1304340518
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1304340529
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1308780829
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309984745
:/usr/lib64/liblcms.so.1.0.19 lcms-libs-1.19-4.fc15.x86_64 (Fedora Project) 1304340534
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1304340529
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1304340528
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1304340808
:/usr/lib64/gconv/ISO8859-1.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1304340821
:/usr/lib64/liblirc_client.so.0.2.1 lirc-libs-0.9.0-7.fc15.x86_64 (Fedora Project) 1310419131
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307810788
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312477298
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1304340606
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307810779
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1304341067
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1304340529
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1304340527
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.16-1.fc15.x86_64 (Fedora Project) 1310678651
:/lib64/libutil-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307810779
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1304340521
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1304340521
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1304340527
:/usr/lib64/libexiv2.so.10.0.1 exiv2-libs-0.21.1-1.fc15.x86_64 (Fedora Project) 1304340570
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307810779
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1304340525
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1304340529
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1304340529
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1304340527
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312366940
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1304340672
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1304340528
:/usr/share/icons/Mist/icon-theme.cache gnome-themes-2.32.0-6.fc15.noarch (Fedora Project) 1304720026
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1304340529
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1312477298
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1304340528
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1304341067
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308230265
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (None) 1304378997
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307810779
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1304340521
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1304340530
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1304340527
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1304340529
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1304340525
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1304340771
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307810788
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309368728
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc15.noarch (Fedora Project) 1304341661
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309984739
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1304340519
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1304340672
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1304340607

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-tfolger
:XDG_SESSION_ID=1
:HOSTNAME=chromatic.folgerville.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-iTHE65/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=8098ca5e8d13c084b0d445f60000000c-1312666246.53591-960170929
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-iTHE65
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=tfolger
:SSH_AUTH_SOCK=/tmp/keyring-iTHE65/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1681,unix/unix:/tmp/.ICE-unix/1681
:USERNAME=tfolger
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/tfolger/bin
:MAIL=/var/spool/mail/tfolger
:_=/usr/bin/geeqie
:QT_IM_MODULE=xim
:PWD=/home/tfolger
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1673
:KDE_IS_PRELINKED=1
:GDM_LANG=
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/tfolger
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=tfolger
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-NfpSVN5I62,guid=6400804f92896fb16c35019200000020
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/tfolger
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-tfolger-Df2mtK/database

Comment 1 Need Real Name 2011-08-07 17:18:51 UTC
Created attachment 517064 [details]
File: maps

Comment 2 Michael Schwendt 2011-08-07 17:54:40 UTC
> comment:        view image

Please don't be so brief. At least mention whether you do have a test-case to reproduce the crash with. I assume you couldn't reproduce it and you don't have a test-case.

Comment 3 Fedora Update System 2011-08-09 10:50:10 UTC
geeqie-1.0-11.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/geeqie-1.0-11.fc15

Comment 4 Fedora Update System 2011-08-10 03:21:01 UTC
Package geeqie-1.0-11.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing geeqie-1.0-11.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/geeqie-1.0-11.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-17 01:07:06 UTC
geeqie-1.0-11.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.